Package net.shibboleth.profile.context.navigate

# Class SpringExpressionContextLookupFunction<T extends BaseContext,U>

java.lang.Object
net.shibboleth.shared.spring.expression.AbstractSpringExpressionEvaluator
net.shibboleth.shared.spring.expression.SpringExpressionFunction<T,U>
net.shibboleth.profile.context.navigate.SpringExpressionContextLookupFunction<T,U>

Type Parameters:
  `T` - the specific type of context
  `U` - output type

All Implemented Interfaces:
  `Function<T,U>`, `ContextDataLookupFunction<T,U>`

public class SpringExpressionContextLookupFunction<T extends BaseContext,U> extends SpringExpressionFunction<T,U> implements ContextDataLookupFunction<T,U>
A `Function` over a `BaseContext` which calls out to a Spring Expression.

Since:
  3.3.0

## Constructor Summary

Constructors
Constructor
Description
`SpringExpressionContextLookupFunction(Class<T> inClass, String expression)`
Constructor.
`SpringExpressionContextLookupFunction(Class<T> inClass, String expression, Class<U> outputType)`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.shared.spring.expression.SpringExpressionFunction

`apply, getInputType, prepareContext, setInputType, setOutputType, setReturnOnError`

### Methods inherited from class net.shibboleth.shared.spring.expression.AbstractSpringExpressionEvaluator

`evaluate, getCustomObject, getOutputType, getReturnOnError, setCustomObject, setHideExceptions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, apply, compose`

## Constructor Details

### SpringExpressionContextLookupFunction

public SpringExpressionContextLookupFunction(@Nonnull @ParameterName(name="inClass") Class<T> inClass, @Nonnull @NotEmpty @ParameterName(name="expression") String expression)
Constructor.

Parameters:
  `inClass` - the class we accept as input.
  `expression` - the expression to evaluate.

### SpringExpressionContextLookupFunction

public SpringExpressionContextLookupFunction(@Nonnull @ParameterName(name="inClass") Class<T> inClass, @Nonnull @NotEmpty @ParameterName(name="expression") String expression, @ParameterName(name="outputType") @Nullable Class<U> outputType)
Constructor.

Parameters:
  `inClass` - the class we accept as input.
  `expression` - the expression to evaluate.
  `outputType` - the type to test against.